<?php
namespace Claromentis\Infocapture\Repository;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_cc2d908b8962" . "262f4876db8eb" . "fedaa9a" => base64_decode("SXNzdWUgZm9ybSBkYXRhIG5vdCBmb3VuZ" . "A=="), "_49c6565477ee9f822b499" . "a53e6d2995f" => base64_decode("YXJyYXlfa" . "2V5X2V4aX" . "N0cw=="), "_a324c7872ecc0de3af" . "2b025d51fce7f7" => base64_decode("aGVscGRlc2su" . "d3JvbmdfZm9y" . "bQ=="), "_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d" => base64_decode("bG1zZ" . "w=="), "_49545c7d347" . "e8eb5991e3ea" . "a6ea076d3" => base64_decode("YXBwX2" . "lk"));
use Claromentis\Core\Security\SecurityContext;
use FBForm;
use HDIssue;
use HDProject;
class FormRepository
{
    
    
    
    
    
    
    protected array $formCache = [];
    
    
    
    
    
    
    
    
    
    public function findForm(int $_0c6a7ccc47e0e836dc056ff9b783f40c) : ?FBForm
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_49c6565477" . "ee9f822b499" . "a53e6d2995f"]($_0c6a7ccc47e0e836dc056ff9b783f40c, $this->formCache)) {
            $form = new FBForm();
            if (!$form->Load($_0c6a7ccc47e0e836dc056ff9b783f40c) || $form->getFBValue($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_49545c7d347" . "e8eb5991e3ea" . "a6ea076d3"]) != HD_FORMS) {
                $form = null;
            }
            $this->formCache[$_0c6a7ccc47e0e836dc056ff9b783f40c] = $form;
        }
        return $this->formCache[$_0c6a7ccc47e0e836dc056ff9b783f40c] ?: null;
    }
    
    
    
    
    
    
    
    public function findFormWithFields(int $_0c6a7ccc47e0e836dc056ff9b783f40c) : ?FBForm
    {
        $form = $this->findForm($_0c6a7ccc47e0e836dc056ff9b783f40c);
        if (!$form) {
            return null;
        }
        $form->LoadFields();
        return $form;
    }
    
    
    
    
    
    
    
    
    
    
    public function getIssueForm(HDIssue $issue) : FBForm
    {
        $_b6b302994975f0d592571c295359f69b = $issue->GetFormData();
        if (!$_b6b302994975f0d592571c295359f69b) {
            throw new \Exception($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_cc2d908b8962262f4876db8ebf" . "edaa9a"]);
        }
        $_0c6a7ccc47e0e836dc056ff9b783f40c = $_b6b302994975f0d592571c295359f69b->GetFormId();
        $form = $this->findFormWithFields($_0c6a7ccc47e0e836dc056ff9b783f40c);
        if (!$form) {
            throw new \Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_a324c7872ecc0de3af2b02" . "5d51fce7f7"]));
        }
        
        
        
        return $form;
    }
    
    
    
    
    
    
    
    public function clearCache(?int $_0c6a7ccc47e0e836dc056ff9b783f40c = null) : void
    {
        if (isset($_0c6a7ccc47e0e836dc056ff9b783f40c)) {
            unset($this->formCache[$_0c6a7ccc47e0e836dc056ff9b783f40c]);
        } else {
            $this->formCache = [];
        }
    }
}